---
- entityDefinitions:
  - IDC_InvokeWebServiceMethod: "{26d9e733-50a0-49f7-9b2c-2142934e3952}" # 1$208
  # {2abdba57-81b6-43f9-b944-075914a8fd15}
    
  - IDR_Invoke_Web_Service_Method__has_user_id__Executable_returning_Attribute: '{dc567ccc-ec9f-4e8b-b698-fb52bb21502a}'
  - IDR_Executable_returning_Attribute__user_id_for__Invoke_Web_Service_Method: '{38d0569c-f482-4481-b8cf-e77919ba4614}'
    
  - IDR_Invoke_Web_Service_Method__has_password__Executable_returning_Attribute: '{b7d8ac3b-9419-4a49-8ebf-22aa08d9ff16}'
  - IDR_Executable_returning_Attribute__password_for__Invoke_Web_Service_Method: '{e2c92306-d37b-4e83-b9a6-cdd78edc629a}'
    
  - IDR_Invoke_Web_Service_Method__has_destination_url__Executable_returning_Attribute: '{bbd9b5a7-041f-4fb3-a8c1-2889ff2e17a7}'
  - IDR_Executable_returning_Attribute__destination_url_for__Invoke_Web_Service_Method: '{2f02b820-b895-4584-9e27-de177478a356}'
    
  - IDR_Invoke_Web_Service_Method__has__Web_Service_Invocation_Type: '{429218f8-0ea7-4177-83be-74efe59b65b1}'
  - IDR_Web_Service_Invocation_Type__for__Invoke_Web_Service_Method: '{e277426a-1358-4280-9503-c693e7d9ed3c}'
    
  - IDR_Executable_returning_Element__used_by__Invoke_Web_Service_Method: '{1fcf92cd-df3a-47b7-bf1c-d9ac613df8bd}'
  - IDR_Invoke_Web_Service_Method__uses__Executable_returning_Element: '{020e26ba-565d-47a4-bdcc-f0050ff6b848}'
    
  - IDR_Invoke_Web_Service_Method__correlated_instances_from__Executable_returning_Instance_Set: '{8f1406b4-f48f-45fb-a6ef-2ad51998735f}'
  - IDR_Executable_returning_Instance_Set__correlated_instances_for__Invoke_Web_Service_Method: '{f0d6ce06-8dea-4ee2-af40-2818ac80b5f2}'
    
  - IDR_Invoke_Web_Service_Method__has_error__Executable_returning_Element: '{86aa5338-d913-4044-af8d-7aa4e1a9ddbc}'
  - IDR_Executable_returning_Element__error_for__Invoke_Web_Service_Method: '{64265295-b9a0-488f-ad66-f4ad5ad727b6}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_InvokeWebServiceMethod;'
    name:      IWS - Invoke Web Service Method
    index:     208
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'IWS - Invoke Web Service Method'
    relationships:
    - instance: '&IDR_Invoke_Web_Service_Method__has_user_id__Executable_returning_Attribute;'
      customTagName: userIdAttribute
    - instance: '&IDR_Invoke_Web_Service_Method__has_password__Executable_returning_Attribute;'
      customTagName: passwordAttribute
    - instance: '&IDR_Invoke_Web_Service_Method__has_destination_url__Executable_returning_Attribute;'
      customTagName: destinationUrlAttribute
    - instance: '&IDR_Invoke_Web_Service_Method__has__Web_Service_Invocation_Type;'
      customTagName: invocationType
    - instance: '&IDR_Invoke_Web_Service_Method__uses__Executable_returning_Element;'
      customTagName: 'usesExecutableReturningElement'
    - instance: '&IDR_Invoke_Web_Service_Method__correlated_instances_from__Executable_returning_Instance_Set;'
      customTagName: 'correlatedInstancesFrom'
    - instance: '&IDR_Invoke_Web_Service_Method__has_error__Executable_returning_Element;'
      customTagName: 'errorElement'
    customTagName: invokeWebServiceMethod
    superclasses:
    - instance: '&IDC_Method;'

  - relationship: '&IDR_Invoke_Web_Service_Method__has_user_id__Executable_returning_Attribute;'
    index: 525
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'has user id'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__user_id_for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__user_id_for__Invoke_Web_Service_Method;'
    index: 526
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'user id for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__has_user_id__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Invoke_Web_Service_Method__has_password__Executable_returning_Attribute;'
    index: 527
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'has password'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__password_for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__password_for__Invoke_Web_Service_Method;'
    index: 528
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'password for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__has_password__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Invoke_Web_Service_Method__has_destination_url__Executable_returning_Attribute;'
    index: 529
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'has destination url'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__destination_url_for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__destination_url_for__Invoke_Web_Service_Method;'
    index: 530
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'destination url for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__has_destination_url__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Invoke_Web_Service_Method__has__Web_Service_Invocation_Type;'
    index: 531
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'has'
    destinationClassId: '&IDC_WebServiceInvocationType;'
    siblingRelationshipId: '&IDR_Web_Service_Invocation_Type__for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Web_Service_Invocation_Type__for__Invoke_Web_Service_Method;'
    index: 532
    sourceClassId: '&IDC_WebServiceInvocationType;'
    type: 'for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__has__Web_Service_Invocation_Type;'
    singular: no

  - relationship: '&IDR_Executable_returning_Element__used_by__Invoke_Web_Service_Method;'
    index: 693
    sourceClassId: '&IDC_ExecutableReturningElement;'
    type: 'used by'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__uses__Executable_returning_Element;'
    singular: no

  - relationship: '&IDR_Invoke_Web_Service_Method__uses__Executable_returning_Element;'
    index: 694
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableReturningElement;'
    siblingRelationshipId: '&IDR_Executable_returning_Element__used_by__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Invoke_Web_Service_Method__correlated_instances_from__Executable_returning_Instance_Set;'
    index: 2013
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'correlated instances from'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__correlated_instances_for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__correlated_instances_for__Invoke_Web_Service_Method;'
    index: 2014
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'correlated instances for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__correlated_instances_from__Executable_returning_Instance_Set;'
    singular: no
  
  - relationship: '&IDR_Invoke_Web_Service_Method__has_error__Executable_returning_Element;'
    index: 12619
    sourceClassId: '&IDC_InvokeWebServiceMethod;'
    type: 'has error'
    destinationClassId: '&IDC_ExecutableReturningElement;'
    siblingRelationshipId: '&IDR_Executable_returning_Element__error_for__Invoke_Web_Service_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Element__error_for__Invoke_Web_Service_Method;'
    index: 12620
    sourceClassId: '&IDC_ExecutableReturningElement;'
    type: 'error for'
    destinationClassId: '&IDC_InvokeWebServiceMethod;'
    siblingRelationshipId: '&IDR_Invoke_Web_Service_Method__has_error__Executable_returning_Element;'
    singular: no
  